.button {
	display: inline-block;
	outline: none;
	font-size: 14px;
	letter-spacing: 0.1em;
	color: white;
	font-weight: 600;
	background-color: var(--primary);
	text-decoration: none;
	text-transform: uppercase;
	padding: 18px 30px;
	border-radius: 4px;
	cursor: pointer;
	border: 0px;
	box-shadow: 0px;
	transition: transform .3s ease;

	&:hover {
		transform: translateY(-2px);
		background-color: lighten($primary, 5%);
	}

	.emoji {
		display: inline-block;
		vertical-align: middle;
		width: 24px;
		height: 20px;
		font-size: 24px;
		line-height: 26px;
		margin-top: -10px;
		margin-right: 5px;
	}

	&--size {
		&-lg {
			font-size: 16px;

			@include xs {
				font-size: 12px;
				padding: 15px 20px;

				.emoji {
					width: 20px;
					height: 17px;
					font-size: 14px;
					line-height: 24px;
				}
			}
		}
		&-xs {
			font-size: 12px;
			padding: 13px 13px 11px;

			@include xs {
				font-size: 10px;
			}
		}
	}

	&--loading {
		color: transparent;

		&:after {
			content: " ";
			width: 24px;
			height: 24px;
			position: absolute;
			top: 50%;
			left: 50%;
			border: 2px solid rgba(255, 255, 255, .3);
			border-top-color: white;
			border-radius: 50%;
			margin: -12px 0px 0px -12px;
			animation: .7s spin linear infinite;
		}
	}

	&:disabled,
	&[disabled] {
		background-color: #ccc;
		cursor: not-allowed;

		&:hover {
			transform: none;
		}
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}
